summaryrefslogtreecommitdiff
path: root/test/integration/run-tests
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2010-07-25 19:51:53 +0200
committerDavid Kalnischkies <kalnischkies@gmail.com>2010-07-25 19:51:53 +0200
commit8d87641558a7e0ee53b03e325614532aa686e01b (patch)
tree79dc30a07924a9ef1ffffd0e34814f92c4d92a28 /test/integration/run-tests
parent3db58cf41785f1e0b7046bbe7f3ef5e545c9a658 (diff)
- prefer non-virtual packages in FindPreferredPkg (Closes: #590041)
* test/integration/*: - add with bug#590041 testcase a small test "framework"
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-xtest/integration/run-tests8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
new file mode 100755
index 000000000..cb74f21e7
--- /dev/null
+++ b/test/integration/run-tests
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+local DIR=$(readlink -f $(dirname $0))
+for testcase in $(run-parts --list $DIR | grep '/test-'); do
+ echo "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m"
+ ${testcase}
+done